# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use i2c_client;
$loaded = 1;
print "ok 1\n";

use strict; 



 my $PORT		= 0;			# Derzeit nicht verwendet 
 my $I2C_PORTDELAY	= 12;
 my $SOCK;
 my $socket_name 	= '/tmp/i2c_device';	# Socket Device
 
 
 my $line;
 my @arr;
 my $frequenz;
 my $Adresse;

 my $SERVER		= 0;

#------------------------------------------------------------------------------------#
#------------------------    Allgemeine I2C- Funktionen  ----------------------------#
#------------------------------------------------------------------------------------#

 

 $line = i2c_client::server_check($SERVER,'/home/ingo/c/i2c/demo/hfapp/bin/i2c_server.pl',$socket_name,$PORT,$I2C_PORTDELAY);
 print "Check  : $line \n";
 if($line == -1) {
  print "Wait until Server Starts \n";
  sleep(10); # Einen Moment warten das der Server starten kann
 }

 # Keine Server / kein I2C Device 
 if ($line < 1) {
  print "Keine Server / kein I2C Device gefunden... \n";
  exit 1;
 }

 $line  = i2c_client::init($SERVER);
 print "Init 	 : $line \n";
 
 $line  = i2c_client::re_init();
 print "Reinit	: $line \n";

#------------------------------------------------------------------------------------#
#-----------------------------  Funktionen LCD-Display  -----------------------------#
#------------------------------------------------------------------------------------#
# LCD Befehle
# Cursor Off    = 0x0c
# Cursor On     = 0x0e
# Cursor home   = 0x02
# Cursor blink  = 0x0f
# Display Clear = 0x01
# Display Off   = 0x08
# Adresse setz. = 0x80
 
 # Adresse (Offset)
 $line  = i2c_client::lcd_init(0);
 print "LCD INIT : $line \n";
 
 # Commando zum Display Schicken 
 # Parameter cmd, Adresse (Offset)
 $line  = i2c_client::lcd_instr(0x0f,0);
 print "LCD : Cursor Off: $line \n";

 # Char zum Display Schicken 
 # Parameter char, Adresse (Offset)
 $line  = i2c_client::lcd_wchar(ord('H'),0);
 $line  = i2c_client::lcd_wchar(ord('a'),0);
 $line  = i2c_client::lcd_wchar(ord('l'),0);
 $line  = i2c_client::lcd_wchar(ord('l'),0);
 $line  = i2c_client::lcd_wchar(ord('o'),0);
 print "LCD : wchar: $line \n";
 
 # String zum Display Schicken 
 # Parameter String, Adresse (Offset)
 $line  = i2c_client::lcd_write_str(' Display',0);
 print "LCD : write String : $line \n";

 # Cursor Adresse holen
 # Parameter Adresse (Offset)  
 $line=i2c_client::lcd_get_adress(0);
 print "LCD : Cursor Adresse $line \n";
 
 # Licht Ein/Aus Adresse (Offset)
 $line  = i2c_client::lcd_backlight(1,0);
 print "LCD Licht : $line \n";
 
 

 $line  = i2c_client::server_quit();
 print "Server Quit : $line \n";


 exit;

1
######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

