#! /bin/sh
#
# Stand 0.1 : 30.12.2001 , StartupScript fr I2C-Server
# /sbin/init.d/i2c_serv_start.sh
#


I2C_SERVER=/opt/i2c/perl/i2c_server/i2c_server.pl
# I2C_SERVER=/home/ingo/c/i2c/perl/i2c_server/i2c_server.pl

# Configuration holen
. /opt/i2c/perl/i2c_server/i2c_server.cfg
# . i2c_server.cfg

case "$1" in
    start)
	echo -n "Starting i2c_server"
	startproc $I2C_SERVER -s $I2C_DEVICE -p $I2C_PORT \
		              -d $I2C_DELAY -l $I2C_LOGFILE -k $I2C_LOG_SIZE -b $I2C_DEBUG 
	echo -e
	;;
    stop)
	echo -n "Shutting down i2c_server..."
	killproc -TERM $I2C_SERVER
	echo -e
	;;
    restart|reload)
	$0 stop  &&  $0 start 
	echo -e
	;;
    status)
	echo -n "Checking for service i2c_server: "
	checkproc $I2C_SERVER && echo OK || echo No process
	;;
    *)
	echo "Usage: $0 {start|stop|restart|reload|status}"
	exit 1
	;;
esac

exit 0
